Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_mus.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_mus.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_mus.F90	(revision 9124)
@@ -27,9 +27,8 @@
    !
    USE iom            ! XIOS library
-   USE timing         ! Timing
-   USE lib_fortran    ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)  
    USE in_out_manager ! I/O manager
    USE lib_mpp        ! distribued memory computing
    USE lbclnk         ! ocean lateral boundary condition (or mpp link) 
+   USE lib_fortran    ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)  
 
    IMPLICIT NONE
@@ -91,6 +90,4 @@
       REAL(wp), DIMENSION(jpi,jpj,jpk) ::   zwy, zslpy   ! -      - 
       !!----------------------------------------------------------------------
-      !
-      IF( ln_timing )   CALL timing_start('tra_adv_mus')
       !
       IF( kt == kit000 )  THEN
@@ -275,6 +272,4 @@
       END DO                     ! end of tracer loop
       !
-      IF( ln_timing )   CALL timing_stop('tra_adv_mus')
-      !
    END SUBROUTINE tra_adv_mus
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_qck.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_qck.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_qck.F90	(revision 9124)
@@ -22,8 +22,7 @@
    USE diaptr          ! poleward transport diagnostics
    !
+   USE in_out_manager  ! I/O manager
    USE lib_mpp         ! distribued memory computing
    USE lbclnk          ! ocean lateral boundary condition (or mpp link)
-   USE in_out_manager  ! I/O manager
-   USE timing          ! Timing
    USE lib_fortran     ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)  
 
@@ -95,6 +94,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( ln_timing )   CALL timing_start('tra_adv_qck')
-      !
       IF( kt == kit000 )  THEN
          IF(lwp) WRITE(numout,*)
@@ -116,6 +113,4 @@
       !        ! vertical fluxes are computed with the 2nd order centered scheme
       CALL tra_adv_cen2_k( kt, cdtype, pwn,         ptn, pta, kjpt )
-      !
-      IF( ln_timing )   CALL timing_stop('tra_adv_qck')
       !
    END SUBROUTINE tra_adv_qck
@@ -427,6 +422,4 @@
       REAL(wp) ::  zc, zcurv, zfho          !   -      -
       !----------------------------------------------------------------------
-      !
-      IF( ln_timing )   CALL timing_start('quickest')
       !
       DO jk = 1, jpkm1
@@ -460,6 +453,4 @@
       END DO
       !
-      IF( ln_timing )   CALL timing_stop('quickest')
-      !
    END SUBROUTINE quickest
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_ubs.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_ubs.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traadv_ubs.F90	(revision 9124)
@@ -22,8 +22,7 @@
    !
    USE iom            ! I/O library
+   USE in_out_manager ! I/O manager
    USE lib_mpp        ! massively parallel library
    USE lbclnk         ! ocean lateral boundary condition (or mpp link)
-   USE in_out_manager ! I/O manager
-   USE timing         ! Timing
    USE lib_fortran    ! Fortran utilities (allows no signed zero when 'key_nosignedzero' defined)  
 
@@ -102,6 +101,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( ln_timing )   CALL timing_start('tra_adv_ubs')
-      !
       IF( kt == kit000 )  THEN
          IF(lwp) WRITE(numout,*)
@@ -281,6 +278,4 @@
       END DO
       !
-      IF( ln_timing )   CALL timing_stop('tra_adv_ubs')
-      !
    END SUBROUTINE tra_adv_ubs
 
@@ -310,6 +305,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( ln_timing )   CALL timing_start('nonosc_z')
-      !
       zbig  = 1.e+40_wp
       zrtrn = 1.e-15_wp
@@ -379,6 +372,4 @@
       END DO
       !
-      IF( ln_timing )   CALL timing_stop('nonosc_z')
-      !
    END SUBROUTINE nonosc_z
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/trabbl.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/trabbl.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/trabbl.F90	(revision 9124)
@@ -42,7 +42,7 @@
 
    PUBLIC   tra_bbl       !  routine called by step.F90
-   PUBLIC   tra_bbl_init  !  routine called by opa.F90
+   PUBLIC   tra_bbl_init  !  routine called by nemogcm.F90
    PUBLIC   tra_bbl_dif   !  routine called by trcbbl.F90
-   PUBLIC   tra_bbl_adv   !  -          -          -              -
+   PUBLIC   tra_bbl_adv   !     -      -          -
    PUBLIC   bbl           !  routine called by trcbbl.F90 and dtadyn.F90
 
@@ -185,6 +185,4 @@
       REAL(wp), DIMENSION(jpi,jpj) ::   zptb   ! workspace
       !!----------------------------------------------------------------------
-      !
-      IF( ln_timing )   CALL timing_start('tra_bbl_dif')
       !
       DO jn = 1, kjpt                                     ! tracer loop
@@ -211,7 +209,4 @@
       END DO                                                ! end tracer
       !                                                     ! ===========
-      !
-      IF( ln_timing )   CALL timing_stop('tra_bbl_dif')
-      !
    END SUBROUTINE tra_bbl_dif
 
@@ -243,5 +238,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( ln_timing )   CALL timing_start( 'tra_bbl_adv')
       !                                                          ! ===========
       DO jn = 1, kjpt                                            ! tracer loop
@@ -298,7 +292,4 @@
       END DO                                                ! end tracer
       !                                                     ! ===========
-      !
-      IF( ln_timing )   CALL timing_stop( 'tra_bbl_adv')
-      !
    END SUBROUTINE tra_bbl_adv
 
@@ -343,6 +334,4 @@
       REAL(wp), DIMENSION(jpi,jpj)        :: zub, zvb, zdep   ! 2D workspace
       !!----------------------------------------------------------------------
-      !
-      IF( ln_timing )   CALL timing_start( 'bbl')
       !
       IF( kt == kit000 )  THEN
@@ -475,6 +464,4 @@
       ENDIF
       !
-      IF( ln_timing )   CALL timing_stop( 'bbl')
-      !
    END SUBROUTINE bbl
 
@@ -495,6 +482,4 @@
       NAMELIST/nambbl/ ln_trabbl, nn_bbl_ldf, nn_bbl_adv, rn_ahtbbl, rn_gambbl
       !!----------------------------------------------------------------------
-      !
-      IF( ln_timing )   CALL timing_start( 'tra_bbl_init')
       !
       REWIND( numnam_ref )              ! Namelist nambbl in reference namelist : Bottom boundary layer scheme
@@ -569,6 +554,4 @@
       ahv_bbl_0(:,:) = rn_ahtbbl * e1_e2v(:,:) * e3v_bbl_0(:,:) * vmask(:,:,1)
       !
-      IF( ln_timing )   CALL timing_stop( 'tra_bbl_init')
-      !
    END SUBROUTINE tra_bbl_init
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_iso.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_iso.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_iso.F90	(revision 9124)
@@ -30,5 +30,4 @@
    USE phycst         ! physical constants
    USE lbclnk         ! ocean lateral boundary conditions (or mpp link)
-   USE timing         ! Timing
 
    IMPLICIT NONE
@@ -113,6 +112,4 @@
       REAL(wp), DIMENSION(jpi,jpj,jpk) ::   zdit, zdjt, zftu, zftv, ztfw 
       !!----------------------------------------------------------------------
-      !
-      IF( ln_timing )   CALL timing_start('tra_ldf_iso')
       !
       IF( kt == kit000 )  THEN
@@ -383,6 +380,4 @@
       END DO                                                      ! end tracer loop
       !
-      IF( ln_timing )   CALL timing_stop('tra_ldf_iso')
-      !
    END SUBROUTINE tra_ldf_iso
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_lap_blp.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_lap_blp.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_lap_blp.F90	(revision 9124)
@@ -89,6 +89,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( ln_timing )   CALL timing_start('tra_ldf_lap')
-      !
       IF( kt == nit000 .AND. lwp )  THEN
          WRITE(numout,*)
@@ -165,6 +163,4 @@
       END DO                        ! end of tracer loop
       !                             ! ==================
-      !
-      IF( ln_timing )   CALL timing_stop('tra_ldf_lap')
       !
    END SUBROUTINE tra_ldf_lap
@@ -203,6 +199,4 @@
       !!---------------------------------------------------------------------
       !
-      IF( ln_timing )   CALL timing_start('tra_ldf_blp')
-      !
       IF( kt == kit000 .AND. lwp )  THEN
          WRITE(numout,*)
@@ -243,6 +237,4 @@
       END SELECT
       !
-      IF( ln_timing )   CALL timing_stop('tra_ldf_blp')
-      !
    END SUBROUTINE tra_ldf_blp
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_triad.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_triad.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traldf_triad.F90	(revision 9124)
@@ -27,5 +27,4 @@
    USE lbclnk         ! ocean lateral boundary conditions (or mpp link)
    USE lib_mpp        ! MPP library
-   USE timing         ! Timing
 
    IMPLICIT NONE
@@ -97,6 +96,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( ln_timing )   CALL timing_start('tra_ldf_triad')
-      !
       IF( .NOT.ALLOCATED(zdkt3d) )  THEN
          ALLOCATE( zdkt3d(jpi,jpj,0:1) , STAT=ierr )
@@ -430,6 +427,4 @@
       END DO                                                      ! end tracer loop
       !                                                           ! ===============
-      IF( ln_timing )   CALL timing_stop('tra_ldf_triad')
-      !
    END SUBROUTINE tra_ldf_triad
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/traqsr.F90	(revision 9124)
@@ -334,6 +334,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( ln_timing )   CALL timing_start('tra_qsr_init')
-      !
       REWIND( numnam_ref )              ! Namelist namtra_qsr in reference     namelist
       READ  ( numnam_ref, namtra_qsr, IOSTAT = ios, ERR = 901)
@@ -428,6 +426,4 @@
       ENDIF
       !
-      IF( ln_timing )   CALL timing_stop('tra_qsr_init')
-      !
    END SUBROUTINE tra_qsr_init
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/trasbc.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/trasbc.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/trasbc.F90	(revision 9124)
@@ -27,4 +27,5 @@
    USE trd_oce        ! trends: ocean variables
    USE trdtra         ! trends manager: tracers 
+   USE wet_dry,  ONLY : ll_wd, rn_wdmin1, r_rn_wdmin1   ! Wetting and drying
 #if defined key_asminc   
    USE asminc         ! Assimilation increment
@@ -36,5 +37,4 @@
    USE lbclnk         ! ocean lateral boundary conditions (or mpp link)
    USE timing         ! Timing
-   USE wet_dry,  ONLY : ll_wd, rn_wdmin1, r_rn_wdmin1 ! Wetting and drying
 
    IMPLICIT NONE
@@ -252,5 +252,4 @@
       !
 #endif
-
       !
       !----------------------------------------
@@ -263,8 +262,6 @@
                DO ji = fs_2, fs_jpim1
                   zdep = 1._wp / e3t_n(ji,jj,jk) 
-                  tsa(ji,jj,jk,jp_tem) = tsa(ji,jj,jk,jp_tem) - htsc_iscpl(ji,jj,jk,jp_tem)                       &
-                      &                                         * zdep
-                  tsa(ji,jj,jk,jp_sal) = tsa(ji,jj,jk,jp_sal) - htsc_iscpl(ji,jj,jk,jp_sal)                       &
-                      &                                         * zdep  
+                  tsa(ji,jj,jk,jp_tem) = tsa(ji,jj,jk,jp_tem) - htsc_iscpl(ji,jj,jk,jp_tem) * zdep
+                  tsa(ji,jj,jk,jp_sal) = tsa(ji,jj,jk,jp_sal) - htsc_iscpl(ji,jj,jk,jp_sal) * zdep  
                END DO  
             END DO  
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/TRA/trazdf.F90	(revision 9124)
@@ -58,4 +58,10 @@
       IF( ln_timing )   CALL timing_start('tra_zdf')
       !
+      IF( kt == nit000 )  THEN
+         IF(lwp)WRITE(numout,*)
+         IF(lwp)WRITE(numout,*) 'tra_zdf : implicit vertical mixing on T & S'
+         IF(lwp)WRITE(numout,*) '~~~~~~~ '
+      ENDIF
+      !
       IF( neuler == 0 .AND. kt == nit000 ) THEN   ;   r2dt =      rdt   ! at nit000, =   rdt (restarting with Euler time stepping)
       ELSEIF( kt <= nit000 + 1           ) THEN   ;   r2dt = 2. * rdt   ! otherwise, = 2 rdt (leapfrog)
@@ -134,11 +140,4 @@
       !!---------------------------------------------------------------------
       !
-      IF( ln_timing )   CALL timing_start('tra_zdf_imp')
-      !
-      IF( kt == kit000 )  THEN
-         IF(lwp)WRITE(numout,*)
-         IF(lwp)WRITE(numout,*) 'tra_zdf_imp : implicit vertical mixing on ', cdtype
-         IF(lwp)WRITE(numout,*) '~~~~~~~~~~~ '
-      ENDIF
       !                                               ! ============= !
       DO jn = 1, kjpt                                 !  tracer loop  !
@@ -253,7 +252,4 @@
       END DO                                          !  end tracer loop  !
       !                                               ! ================= !
-      !
-      IF( ln_timing )   CALL timing_stop('tra_zdf_imp')
-      !
    END SUBROUTINE tra_zdf_imp
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_closea.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_closea.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_closea.F90	(revision 9124)
@@ -30,5 +30,4 @@
    USE lbclnk          ! lateral boundary condition - MPP exchanges
    USE lib_mpp         ! MPP library
-   USE timing
 
    IMPLICIT NONE
@@ -201,5 +200,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('sbc_clo')
       !                                                   !------------------!
       IF( kt == nit000 ) THEN                             !  Initialisation  !
@@ -335,6 +333,4 @@
       CALL lbc_lnk( emp , 'T', 1._wp )
       !
-      IF( nn_timing == 1 )  CALL timing_stop('sbc_clo')
-      !
    END SUBROUTINE sbc_clo
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_fmask.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_fmask.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_fmask.F90	(revision 9124)
@@ -30,5 +30,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium  (2016)
-   !! $Id$ 
+   !! $Id:$ 
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_hgr.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_hgr.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_hgr.F90	(revision 9124)
@@ -20,5 +20,4 @@
    USE in_out_manager ! I/O manager
    USE lib_mpp        ! MPP library
-   USE timing         ! Timing
    
    IMPLICIT NONE
@@ -29,5 +28,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2016)
-   !! $Id$ 
+   !! $Id:$ 
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -71,6 +70,4 @@
       REAL(wp) ::   zphi1, zphi0, zsin_alpha, zim05, zjm05, zbeta, znorme      !   -      -
       !!-------------------------------------------------------------------------------
-      !
-      IF( nn_timing == 1 )  CALL timing_start('usr_def_hgr')
       !
       !     !==  beta-plane with regular grid-spacing and rotated domain ==!  (GYRE configuration)
@@ -170,6 +167,4 @@
       IF(lwp) WRITE(numout,*) '                           beta-plane used. beta = ', zbeta, ' 1/(s.m)'
       !
-      IF( nn_timing == 1 )  CALL timing_stop('usr_def_hgr')
-      !
    END SUBROUTINE usr_def_hgr
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_istate.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_istate.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_istate.F90	(revision 9124)
@@ -26,5 +26,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2016)
-   !! $Id$ 
+   !! $Id:$ 
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_nam.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_nam.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_nam.F90	(revision 9124)
@@ -20,5 +20,4 @@
    USE in_out_manager ! I/O manager
    USE lib_mpp        ! MPP library
-   USE timing         ! Timing
    
    IMPLICIT NONE
@@ -33,5 +32,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2016)
-   !! $Id$ 
+   !! $Id:$ 
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_sbc.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_sbc.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_sbc.F90	(revision 9124)
@@ -13,20 +13,20 @@
    !!   usrdef_sbc    : user defined surface bounday conditions in GYRE case
    !!----------------------------------------------------------------------
-   USE oce             ! ocean dynamics and tracers
-   USE dom_oce         ! ocean space and time domain
-   USE sbc_oce         ! Surface boundary condition: ocean fields
-   USE phycst          ! physical constants
+   USE oce            ! ocean dynamics and tracers
+   USE dom_oce        ! ocean space and time domain
+   USE sbc_oce        ! Surface boundary condition: ocean fields
+   USE phycst         ! physical constants
    !
-   USE in_out_manager  ! I/O manager
-   USE lib_mpp         ! distribued memory computing library
-   USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
-   USE lib_fortran     !
+   USE in_out_manager ! I/O manager
+   USE lib_mpp        ! distribued memory computing library
+   USE lbclnk         ! ocean lateral boundary conditions (or mpp link)
+   USE lib_fortran    !
 
    IMPLICIT NONE
    PRIVATE
 
-   PUBLIC   usrdef_sbc_oce    ! routine called in sbcmod module
-   PUBLIC   usrdef_sbc_ice_tau  ! routine called by icestp.F90 for ice dynamics
-   PUBLIC   usrdef_sbc_ice_flx  ! routine called by icestp.F90 for ice thermo
+   PUBLIC   usrdef_sbc_oce       ! routine called in sbcmod module
+   PUBLIC   usrdef_sbc_ice_tau   ! routine called by icestp.F90 for ice dynamics
+   PUBLIC   usrdef_sbc_ice_flx   ! routine called by icestp.F90 for ice thermo
 
    !! * Substitutions
@@ -34,5 +34,5 @@
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2016)
-   !! $Id$
+   !! $Id:$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -225,7 +225,9 @@
    END SUBROUTINE usrdef_sbc_oce
 
+
    SUBROUTINE usrdef_sbc_ice_tau( kt )
       INTEGER, INTENT(in) ::   kt   ! ocean time step
    END SUBROUTINE usrdef_sbc_ice_tau
+
 
    SUBROUTINE usrdef_sbc_ice_flx( kt, phs, phi )
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_zgr.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_zgr.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/USR/usrdef_zgr.F90	(revision 9124)
@@ -24,5 +24,4 @@
    USE lib_mpp        ! distributed memory computing library
    USE wrk_nemo       ! Memory allocation
-   USE timing         ! Timing
 
    IMPLICIT NONE
@@ -31,9 +30,9 @@
    PUBLIC   usr_def_zgr        ! called by domzgr.F90
 
-  !! * Substitutions
+   !! * Substitutions
 #  include "vectopt_loop_substitute.h90"
    !!----------------------------------------------------------------------
    !! NEMO/OPA 4.0 , NEMO Consortium (2016)
-   !! $Id$
+   !! $Id:$
    !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -132,6 +131,4 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('zgr_z')
-      !
       ! Set parameters of z(k) function
       ! -------------------------------
@@ -178,6 +175,4 @@
       ENDIF
       !
-      IF( nn_timing == 1 )  CALL timing_stop('zgr_z')
-      !
    END SUBROUTINE zgr_z
 
@@ -236,6 +231,4 @@
       INTEGER  ::   jk
       !!----------------------------------------------------------------------
-      !
-      IF( nn_timing == 1 )  CALL timing_start('zgr_zco')
       !
       DO jk = 1, jpk
@@ -251,6 +244,4 @@
       END DO
       !
-      IF( nn_timing == 1 )  CALL timing_stop('zgr_zco')
-      !
    END SUBROUTINE zgr_zco
 
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfgls.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfgls.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/ZDF/zdfgls.F90	(revision 9124)
@@ -1128,5 +1128,5 @@
    SUBROUTINE gls_rst( kt, cdrw )
       !!---------------------------------------------------------------------
-      !!                   ***  ROUTINE ts_rst  ***
+      !!                   ***  ROUTINE gls_rst  ***
       !!                     
       !! ** Purpose :   Read or write TKE file (en) in restart file
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 9124)
@@ -205,9 +205,9 @@
          CALL Agrif_ParentGrid_To_ChildGrid()
          IF( ln_diaobs )        CALL dia_obs_wri
-         IF( nn_timing == 1 )   CALL timing_finalize
+         IF( ln_timing )   CALL timing_finalize
          CALL Agrif_ChildGrid_To_ParentGrid()
       ENDIF
 #endif
-      IF( ln_timing    )   CALL timing_finalize
+      IF( ln_timing )   CALL timing_finalize
       !
       CALL nemo_closefile
@@ -550,11 +550,5 @@
       njctle    = nn_jctle
       isplt     = nn_isplt
-      jsplt     = nn_jsplt
-!!gm to be remove at the end of the 2017 merge party
-      if( ln_timing ) then  ;  nn_timing = 1
-      else                  ;  nn_timing = 0
-      endif
-!!gm end
-      
+      jsplt     = nn_jsplt      
 
       IF(lwp) THEN                  ! control print
@@ -613,5 +607,5 @@
       !
 #if defined key_agrif
-      IF( nn_timing == 1 ) CALL ctl_stop( 'AGRIF not implemented with nn_timing = 1')
+      IF( ln_timing )   CALL ctl_stop( 'AGRIF not implemented with ln_timing = true')
 #endif
       !
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/step.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/step.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/OPA_SRC/step.F90	(revision 9124)
@@ -91,4 +91,7 @@
 # endif
 #endif
+      !
+      IF( ln_timing )   CALL timing_start('stp')
+      !
       !>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
       ! update I/O and calendar 
@@ -334,5 +337,9 @@
 #endif
       !
-      IF( ln_timing .AND.  kstp == nit000  )   CALL timing_reset
+      IF( ln_timing ) THEN
+         IF( ln_timing      )   CALL timing_start('stp')
+!!gm avoid the init phase during 1st time step ???  useless now no?
+         IF( kstp == nit000 )   CALL timing_reset           
+      ENDIF
       !
    END SUBROUTINE stp
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/SAS_SRC/daymod.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/SAS_SRC/daymod.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/SAS_SRC/daymod.F90	(revision 9124)
@@ -223,5 +223,5 @@
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('day')
+      IF( ln_timing )   CALL timing_start('day')
       !
       zprec = 0.1 / rday
@@ -277,5 +277,5 @@
       IF( lrst_oce         ) CALL day_rst( kt, 'WRITE' )      ! write day restart information
       !
-      IF( nn_timing == 1 )  CALL timing_stop('day')
+      IF( ln_timing )   CALL timing_stop('day')
       !
    END SUBROUTINE day
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/SAS_SRC/diawri.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/SAS_SRC/diawri.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/SAS_SRC/diawri.F90	(revision 9124)
@@ -136,5 +136,5 @@
       !!----------------------------------------------------------------------
       ! 
-      IF( nn_timing == 1 )   CALL timing_start('dia_wri')
+      IF( ln_timing )   CALL timing_start('dia_wri')
       !
       ! Output the initial state and forcings
@@ -322,5 +322,5 @@
       ENDIF
       !
-      IF( nn_timing == 1 )   CALL timing_stop('dia_wri')
+      IF( ln_timing )   CALL timing_stop('dia_wri')
       !
    END SUBROUTINE dia_wri
@@ -350,5 +350,5 @@
       !!----------------------------------------------------------------------
       ! 
-      IF( nn_timing == 1 )   CALL timing_start('dia_wri_state')
+      IF( ln_timing )   CALL timing_start('dia_wri_state')
 
       ! 0. Initialisation
@@ -428,9 +428,9 @@
       ENDIF
 #endif
-       
-      IF( nn_timing == 1 )   CALL timing_stop('dia_wri_state')
-      ! 
-
+      !
+      IF( ln_timing )   CALL timing_stop('dia_wri_state')
+      !
    END SUBROUTINE dia_wri_state
+
    !!======================================================================
 END MODULE diawri
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/SAS_SRC/nemogcm.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/SAS_SRC/nemogcm.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/SAS_SRC/nemogcm.F90	(revision 9124)
@@ -424,9 +424,4 @@
       isplt     = nn_isplt
       jsplt     = nn_jsplt
-!!gm to be remove at the end of the 2017 merge party
-      if( ln_timing ) then  ;  nn_timing = 1
-      else                  ;  nn_timing = 0
-      endif
-!!gm end
 
       IF(lwp) THEN                  ! control print
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/SAS_SRC/sbcssm.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/SAS_SRC/sbcssm.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/SAS_SRC/sbcssm.F90	(revision 9124)
@@ -23,4 +23,5 @@
    USE lbclnk          ! ocean lateral boundary conditions (or mpp link)
    USE zpshde          ! z-coord. with partial steps: horizontal derivatives
+   !
    USE in_out_manager  ! I/O manager
    USE iom             ! I/O library
@@ -72,5 +73,4 @@
       !!             - interpolates data if needed
       !!----------------------------------------------------------------------
-      !
       INTEGER, INTENT(in) ::   kt   ! ocean time-step index
       !
@@ -79,7 +79,6 @@
       REAL(wp) ::   ztintb     ! ratio applied to before records when doing time interpolation
       !!----------------------------------------------------------------------
-      
-      !
-      IF( nn_timing == 1 )  CALL timing_start( 'sbc_ssm')
+      !
+      IF( ln_timing )   CALL timing_start( 'sbc_ssm')
      
       IF ( l_sasread ) THEN
@@ -153,5 +152,5 @@
       ENDIF
       !
-      IF( nn_timing == 1 )  CALL timing_stop( 'sbc_ssm')
+      IF( ln_timing )   CALL timing_stop( 'sbc_ssm')
       !
    END SUBROUTINE sbc_ssm
Index: branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/AGE/trcsms_age.F90
===================================================================
--- branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/AGE/trcsms_age.F90	(revision 9123)
+++ branches/2017/dev_merge_2017/NEMOGCM/NEMO/TOP_SRC/AGE/trcsms_age.F90	(revision 9124)
@@ -45,10 +45,9 @@
       !! ** Method  : -
       !!----------------------------------------------------------------------
-      !
       INTEGER, INTENT(in) ::   kt   ! ocean time-step index
       INTEGER ::   jn, jk   ! dummy loop index
       !!----------------------------------------------------------------------
       !
-      IF( nn_timing == 1 )  CALL timing_start('trc_sms_age')
+      IF( ln_timing )   CALL timing_start('trc_sms_age')
       !
       IF(lwp) WRITE(numout,*)
@@ -59,5 +58,5 @@
       DO jk = 1, nla_age
          tra(:,:,jk,jp_age) = rn_age_kill_rate * trb(:,:,jk,jp_age)
-      ENDDO
+      END DO
       !
       tra(:,:,nl_age,jp_age) = frac_kill_age * rn_age_kill_rate * trb(:,:,nl_age,jp_age)  &
@@ -66,9 +65,9 @@
       DO jk = nlb_age, jpk
          tra(:,:,jk,jp_age) = tmask(:,:,jk) * rryear
-      ENDDO
+      END DO
       !
       IF( l_trdtrc ) CALL trd_trc( tra(:,:,:,jp_age), jn, jptra_sms, kt )   ! save trends
       !
-      IF( nn_timing == 1 )  CALL timing_stop('trc_sms_age')
+      IF( ln_timing )   CALL timing_stop('trc_sms_age')
       !
    END SUBROUTINE trc_sms_age
